<?php

namespace Drupal\epositivity\Controller;

use Drupal\epositivity\Utility\PaymentHelper;
use Zend\Diactoros\Response\JsonResponse;

class PaymentController
{
  /**
   * @param $uuid
   * @param \Drupal\epositivity\Controller\int $sid
   *
   * @return array
   * @throws \Exception
   */
  public function pay($uuid, int $sid)
  {
    $helper = new PaymentHelper($uuid,$sid);
    $data = $helper->getPayData();

    return [
      '#theme' => 'epositivity-pay',
      '#submission' => $data['submission'],
      '#pos' => $data['pos'],
    ];
  }

  /**
   * @param $uuid
   * @param \Drupal\epositivity\Controller\int $sid
   *
   * @return array
   * @throws \exception
   */
  public function response($uuid, int $sid)
  {
    $helper = new PaymentHelper($uuid,$sid);
    $response = $helper->verifyResponse();

    return array(
      '#theme' => 'epositivity-response',
      '#response' => $response,
    );
  }

  /**
   * @param $uuid
   * @param $sid
   *
   * @return \Zend\Diactoros\Response\JsonResponse
   * @throws \exception
   */
  public function notification($uuid,$sid)
  {
    $helper = new PaymentHelper($uuid,$sid);
    $response = $helper->verifyResponse();

    return new JsonResponse($response);
  }

}